package com.apobates.forum.attention;

import java.util.Optional;

/**
 * 图片存储的域名
 * @author xiaofanku
 * @since 20200516
 */
public interface ImageStoreDomain {
    /**
     * 返回默认的存储路径
     * 例:http://pic.test.com
     * @return
     */
    String getDefaultDomain();
    
    /**
     * 返回本地的存储路径
     * 例:http://center.test.com
     * @return
     */
    String getLocalDomain();
    /**
     * 存储目录对应的存储域名
     * 
     * @param de 存储目录
     * @return 
     */
    default Optional<String> getDirectoryEnumDomain(ImageDirectoryEnum de){
        if(ImageDirectoryEnum.DEFAT == de){
            return Optional.of(getDefaultDomain());
        }
        if(ImageDirectoryEnum.LOCAL == de){
            return Optional.of(getLocalDomain());
        }
        return Optional.empty();
    }
}